# RunQuery

```python
class RunQuery(DBNLObject):
    id: str
    project_id: str
    name: str
    query: dict[str, Any]
```

## Fields

<table><thead><tr><th width="184">Argument</th><th width="181"></th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>str</code></td><td>The ID of the Run. Run ID starts with the prefix <code>run_</code></td></tr><tr><td><code>project_id</code></td><td><code>str</code></td><td>The ID of the <a href="/pages/vfXFauh5ZnUjluqFCP7i">Project</a> this RunQuery is associated with.</td></tr><tr><td><code>name</code></td><td><code>str</code></td><td>The name of the RunQuery.</td></tr><tr><td><code>query</code></td><td><code>dict[str, Any]</code></td><td> The dbnl RunQuery, typically used for finding a <a data-mention href="/pages/7EgFv0l4jSKfAv0P3efJ">/pages/7EgFv0l4jSKfAv0P3efJ</a>for a Test Session</td></tr></tbody></table>

## Supported Functions

[`dbnl.create_run_query`](/v0.21.x/using-distributional/python-sdk/sdk-functions/baseline/create_run_query.md)

[`dbnl.get_run_query`](/v0.21.x/using-distributional/python-sdk/sdk-functions/baseline/get_run_query.md)

[`dbnl.set_run_query_as_baseline`](/v0.21.x/using-distributional/python-sdk/sdk-functions/baseline/set_run_query_as_baseline.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-objects/runquery.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
